#!/usr/bin/env python
import SEP.opt_prog
import amo_inverse
import SEP.args
import amo_inv_flow
import amo_order
import amo_freq
import SEP.opt_data

SEP.util.debug=1
prefixes={} ; order=[] ;  flow=[]

#MAIN PARAMETERS
main_args   =  amo_inv_flow.amo_inverse_eps0_aoff("AMO.main")     
flow.append(main_args) ;order.append("AMO.main")

#PARALLEL PARAMTERS
par =SEP.pj_func.parameters("AMO.PAR")         #get the parameters for parallel processing
flow.append(par) ;order.append("AMO.PAR")  ; prefixes["AMO.PAR"] = "par_"
SEP.opt_data.store("parallel",par)

#SORT THE DATA
sort=amo_inv_flow.amo_sort_aoff(main_args,"AMO.SORT")
flow.append(sort) ;order.append("AMO.SORT")  ; prefixes["AMO.SORT"] = "sort_"


#TRANSFORM TO FREQUENCY
freq=amo_inv_flow.to_freq_aoff(main_args,par,"AMO.TO_FREQ")  #transform to frequency
flow.append(freq) ;order.append("AMO.TO_FREQ");  prefixes["AMO.TO_FREQ"]="tf_"


invert=amo_freq.invert_freq(main_args,par,"AMO_inv_freq.x",1,"AMO.INVERT")
flow.append(invert) ;order.append("AMO.INVERT"); prefixes["AMO.INVERT"]="ti_"

                                                                                

#TRANSFORM TO TIME
time=amo_inv_flow.to_time(main_args,par,"AMO.TO_TIME")  #transform to time
flow.append(time) ;order.append("AMO.TO_TIME");  prefixes["AMO.TO_TIME"]="tt_"



program=SEP.prog.prog("AMO_inverse_hy0 - Regularizing",
   "AMO_inverse  ",par_blocks=flow,prefixes=prefixes , 
    restartable=1, order=order) 

program.get_options(delete=1)
program.prep_run(main_args.param("restart"))
