#!/usr/bin/env python
import SEP.opt_prog
import amo_inv_shape
import SEP.args
import amo_inv_flow
import amo_order
import SEP.opt_data

SEP.util.debug=1
prefixes={} ; order=[] ;  flow=[]

#MAIN PARAMETERS
main_args   =  amo_inv_flow.amo_inverse_eps0("AMO.main")     
flow.append(main_args) ;order.append("AMO.main")

#PARALLEL PARAMTERS
par =SEP.pj_func.parameters("AMO.PAR")         #get the parameters for parallel processing
flow.append(par) ;order.append("AMO.PAR")  ; prefixes["AMO.PAR"] = "par_"
SEP.opt_data.store("parallel",par)

#SORT THE DATA
sort=amo_inv_flow.amo_sort(main_args,"AMO.SORT")
flow.append(sort) ;order.append("AMO.SORT")  ; prefixes["AMO.SORT"] = "sort_"


#TRANSFORM TO FREQUENCY
freq=amo_inv_flow.to_freq(main_args,par,"AMO.TO_FREQ")  #transform to frequency
flow.append(freq) ;order.append("AMO.TO_FREQ");  prefixes["AMO.TO_FREQ"]="tf_"

#REORDER THE DATA ON THE NODES
reorder=amo_order.reorder(main_args,par,"AMO.ORDER")
flow.append(reorder) ;order.append("AMO.ORDER");


#DO THE INVERSION
prec=amo_inv_flow.shape_op(main_args,par,"shape")
prefixes["shape"]="shape_"
interp=amo_inv_flow.interp_op(main_args,par,"interp")
prefixes["interp"]="interp_"

order.extend(["shape","interp"])
flow.extend([prec,interp])

order.append("AMO.INVERSE"); prefixes["AMO.INVERSE"] = "tz_"
inverse=amo_inv_shape.shape(main_args,interp,prec,"AMO.INVERSE")
flow.append(inverse)

##TAKE A SUBSET
window=amo_inv_flow.to_zero(main_args,par,"AMO.ZERO")
flow.append(window);order.append("AMO.ZERO"); prefixes["AMO.ZERO"] = "tw_"


#TRANSFORM TO TIME
time=amo_inv_flow.to_time(main_args,par,"AMO.TO_TIME")  #transform to time
flow.append(time) ;order.append("AMO.TO_TIME");  prefixes["AMO.TO_TIME"]="tt_"

program=SEP.prog.prog("AMO_inverse - Regularizing",
   "AMO_inverse  ",par_blocks=flow,prefixes=prefixes , 
    restartable=1, order=order) 

program.get_options(delete=1)
program.prep_run(main_args.param("restart"))
