import amo_inv_freq
import math
import SEP.sepfile




class invert_freq(amo_inv_freq.inv):
  """Convert to zero hy"""
  def __init__(self,main_par,par_par,prog,oned,name="AMO_APPROX.APPROX"):
    """Initialze the Log-stretch and FFT"""
    amo_inv_freq.inv.__init__(self,name)
    self.main=main_par
    self.par_par=par_par
    self.prog=prog
    self.oned=oned
  def add_doc_params(self):
    """Add the documentation for AMO TO FREQ"""
    amo_inv_freq.inv.add_doc_params(self)
    self.del_doc_param("stdin");self.del_doc_param("stdout")
    self.del_doc_param("headers")
    self.del_doc_param("restart")
    self.del_doc_param("t_min_log");self.del_doc_param("f_max")
    for v in ["mx","my","hy","hx","t_"]:
      self.del_doc_param("a%s_n"%v)
      self.del_doc_param("a%s_o"%v)
      self.del_doc_param("a%s_d"%v)
    self.delete_cl_par_params()
    self.del_doc_param("verb")
  def build_check_params(self):
    """Build commands for converting to stretching frequency"""
    self.set_cl_par_params(self.par_par.return_set_params())
    self.add_param("verb",self.main.param("verb"))
  def prep_run(self,restart=None):

    fname=self.main.param("irregular")
    self.add_param("stdin","%s.stretch"%fname)
    self.add_param("headers","%s.headers"%fname)
    self.add_param("stdout","%s.freqsmall"%fname)
    file=SEP.sepfile.sep_file("%s"%fname)
    n,o,d,label,unit=file.axis(1)
    self.add_param("at__n",n)
    self.add_param("at__o",o)
    self.add_param("at__d",d)
    for v in ["mx","my","hy","hx"]:
      self.add_param("a%s_n"%v,self.main.param("a%s_n"%v))
      self.add_param("a%s_o"%v,self.main.param("a%s_o"%v))
      self.add_param("a%s_d"%v,self.main.param("a%s_d"%v))
    if self.oned:
      self.add_param("ahx_n",self.main.param("ah_n"))
      self.add_param("ahx_o",self.main.param("ah_o"))
      self.add_param("ahx_d",self.main.param("ah_d"))
      self.add_param("ahy_n",1)
      self.add_param("ahy_o",0.)
      self.add_param("ahy_d",2000.)

    self.add_param("f_max",self.main.param("f_max"))
    self.add_param("t_min_log",self.main.param("t_min_log"))
    amo_inv_freq.inv.prep_run(self,restart)

