import SEP.sepfile
import SEP.util
import SEP.spawn
import SEP.paths
import SEP.flow
import amo_inv_flow
import SEP.pj_split
import SEP.pj_func
import SEP.pv_always_split
import SEP.pf_split
import SEP.mach_list
import SEP.mach
import SEP.solv_shape


class shape(SEP.solv_shape.solver):
  def __init__(self,main_args,interp,shape,name="AMO.INVERSE"):
    self.main=main_args
    self.interp=interp
    self.shape=shape
    SEP.solv_shape.solver.__init__(self,name)

  def add_doc_params(self):
    self.add_param("eps",.01,"Epsilon")
    self.add_param("niter",5,"Number of iterations")


  def return_data(self):
    fname=self.main.param("irregular")
    data=SEP.pv_always_split.cmplx_vector(name="%s.stretch"%fname,
     usage="INPUT",remove=None,tag="data=",load=1,exists=1)
    return data

  def return_model(self,data,restart=None):
    fname=self.main.param("irregular")
    if not  restart:
      model=data.clone_space(name="%s.freqbig"%fname)
      nfreq=data.axis(2)[0]
      model.set_axis(1,self.main.param("amx_n"),self.main.param("amx_o"),self.main.param("amx_d"))
      model.set_axis(2,self.main.param("amy_n"),self.main.param("amy_o"),self.main.param("amy_d"))
      model.set_axis(3,self.main.param("ahx_n"),self.main.param("ahx_o"),self.main.param("ahx_d"))
      model.set_axis(4,self.main.param("ahy_n"),self.main.param("ahy_o"),self.main.param("ahy_d"))
      model.set_axis(5,nfreq,0.,1.)
      model.set_dff_axis(5)
      model.zero()
    else: model=SEP.pv_always_split.cmplx_vector(name="%s.freqbig"%fname,
     usage="INPUT",remove=None,tag="model=",load=1,exists=1)
    return model

  def prep_run(self,restart=None):
    """ AAAA"""
    self.data=self.return_data()
    self.model=self.return_model(self.data,restart)

    SEP.mach.mach=SEP.mach_list.machine(self.data.get_stat_elem(1).values())
    self.shape.prep_run(self.model,self.data,restart)
    self.interp.prep_run(self.model,self.data,restart)
    self.add_param("op",self.interp)
    self.add_param("shape",self.shape)
    self.add_param("niter",self.main.param("niter"))
     

    self.add_param("model",self.model)
    self.add_param("data",self.data)
#    self.shape.dot_test()
    SEP.solv_shape.solver.prep_run(self,restart)
