RESDIR=Figs
RESULTSCR=fold fold-off bad-syn inv-syn interp zero mig const-off

${RESDIR}/fold.v:  fold.HH
	Transp < fold.HH plane=23 |Stack |Transp plane=23 |Stack |Grey title=" " >a.V out=$@ allpos=y

${RESDIR}/fold-off.v: fold.HH
	Transp reshape=1,3,4 plane=23 < fold.HH |Stack >a.H
	echo n3=24 n4=3 >> a.H
	Transp < a.H plane=23 |Stack |Grey title=" " wantframenum=0  crowd=1|Vppen \
          gridnum=3,1 yscale=3 out=$@ vpstyle=n

${RESDIR}/const-off.v: elf.aoff.H
	Window3d  < elf.aoff.H f3=20 n3=1|Transp reshape=2,3  |Grey eout=1 gainpanel=a pclip=95 \
          |Cubeplot flat=y label1="Depth(m)" label2="CMP_X(m)" \
          label3="CMP_Y(m)" >a1.V center=1

${RESDIR}/mig.v: elf.mig.H
	Window3d  < elf.mig.H n3=1|Transp reshape=2,3  |Grey eout=1 gainpanel=a pclip=95 \
          |Cubeplot flat=y label1="Depth(m)" label2="CMP_X(m)" \
          label3="CMP_Y(m)" >a1.V center=1

${RESDIR}/zero.v: simp5.reg.H
	Window3d  < simp5.reg.H n4=1 n5=1  |Grey eout=1 gainpanel=a \
          |Cubeplot flat=y label1="Time(s)" label2="CMP_X(m)" \
          label3="CMP_Y(m)" >a1.V center=1
	Window3d  < simp5.reg.H n2=1 n3=1  |Grey eout=1 gainpanel=a \
          |Cubeplot flat=y label1="Time(s)" label2="H_X(m)" \
          label3="H_Y(m)" >a2.V center=1
	Vppen gridnum=2,1 < a1.V a2.V out=$@ >/dev/null

${RESDIR}/interp.v: simp_cmps.H
	Window3d  < simp_cmps.H n4=1 n5=1  |Grey eout=1 gainpanel=a \
          |Cubeplot flat=y label1="Time(s)" label2="CMP_X(m)" \
          label3="CMP_Y(m)" >a1.V center=1
	Window3d  < simp_cmps.H n2=1 n3=1  |Grey eout=1 gainpanel=a \
          |Cubeplot flat=y label1="Time(s)" label2="H_X(m)" \
          label3="H_Y(m)" >a2.V center=1
	Vppen gridnum=2,1 < a1.V a2.V out=$@ >/dev/null

AXES1=label1="Time(s)" label2="CMPX (m)" label3="CMPY(m)" title=" " center=1
AXES2=label1="Time(s)" label2="CMPY (m)" label3="HX(m)" title=" " center=1

${RESDIR}/inv-syn.v3 ${RESDIR}/inv-syn.v:  simp-final.H
	Window3d < simp-final.H f4=12 n4=1 |Grey eout=1 gainpanel=a |Cubeplot  ${AXES1} >a1.V
	Window3d < simp-final.H f2=40 n2=1 |Grey eout=1 gainpanel=a |Cubeplot  ${AXES2} >a2.V
	Vppen vpstyle=n gridnum=2,1 < a1.V a2.V >c.V out=${RESDIR}/inv-syn.v yscale=2
	Vppen vpstyle=n  < a1.V a2.V >c.V out=${RESDIR}/inv-syn.v3 

${RESDIR}/bad-syn.v3 ${RESDIR}/bad-syn.v:  nocx.H
	Window3d < nocx.H f4=12 n4=1 |Grey eout=1 gainpanel=a |Cubeplot  ${AXES1} >a1.V
	Window3d < nocx.H f2=40 n2=1 |Grey eout=1 gainpanel=a |Cubeplot  ${AXES2} >a2.V
	Vppen vpstyle=n gridnum=2,1 < a1.V a2.V >c.V out=${RESDIR}/bad-syn.v yscale=2
	Vppen vpstyle=n  < a1.V a2.V >c.V out=${RESDIR}/bad-syn.v3 


