

v_mod.H:
	Gfgradz n1=400 d1=10 o1=0 o2=0 d2=20 n2=2500 v0=1500 vgrad=1 > v_mod.H n3=2

geom.H: 
	Marine_geom3d itype=1 nx3=128 ox3=0 dx3=20  \
              ny3=15 oy3=0 dy3=80 nx2=64 ox2=0 dx2=40 \
              ny2=3 oy2=-30 dy2=30 >$@

%.H: %.HH
	Dd esize=4 < $*.HH >$@

wave.H:  
	Wavelet wavelet=ricker2  n1=32 >$@ d1=.016

simp_shots.H: mod.H geom.H v_mod.H wave.H
	Kirmod3d  < geom.H > $@ Green=v_mod.H Reflector=mod.H Wavelet=wave.H \
         nt_data=256 dt_data=.016 t0_data=0


simp_cmps.H: simp_shots.H
	Headermath < simp_shots.H >math.H key1=h_x key2=h_y  \
          eqn1="0.5*(g_x-s_x)" eqn2="0.5*(g_y-s_y)" \
         key3=cmp_x key4=cmp_y  eqn3="0.5*(g_x+s_x)" eqn4="0.5*(g_y+s_y)"
	Headermath < math.H >math2.H key1=a_h key2=azimuth \
        eqn1="@SQRT(h_x*h_x+h_y*h_y)" eqn2="0."
	echo gff=-1 >>math2.H
	Window3d < math2.H >x.H  j2=7 synch=1
	Sort3d < x.H >y.H nkeys=4 key1=cmp_x key2=cmp_y key3=h_x key4=h_y\
         ng1=160 og1=0 dg1=20 ng2=64  og2=-10 dg2=20 \
         ng3=64 og3=0 dg3=25 ng4=5 og4=-20 dg4=10 verb=1
	Noise < y.H >$@ var=.0000001


nocx.H: simp.reg.H
	Cp simp.reg.H

simp-final.H: simp3.reg.H
	Cp simp3.reg.H $@

simp.reg.H:  amo.simp.P simp_cmps.H vsimp.H all
	AMO_adj_par regular=$@ irregular=simp_cmps.H par=amo.simp.P vrms=vsimp.H debug_py=1 print_all=1  

simp2.reg.H:  amo.simp.P simp_cmps.H vsimp.H 
	AMO_approx_zero.py regular=$@ irregular=simp_cmps.H par=amo.simp.P vrms=vsimp.H debug_py=1 print_all=1  eps=.01

simp3.reg.H:  amo.simp.P simp_cmps.H vsimp.H all
	AMO_inverse_zero.py regular=$@ irregular=simp_cmps.H par=amo.simp.P vrms=vsimp.H   eps=.01


simp4.reg.H:  amo.simp.P simp_cmps.H vsimp.H
	AMO_inv_shape_zero.py regular=$@ irregular=simp_cmps.H par=amo.simp.P vrms=vsimp.H   eps=.0001 niter=3  tz_niter=4 tz_eps=.0001


simp5.reg.H:  amo.simp.P simp_cmps.H vsimp.H
	AMO_inverse_hy0.py regular=$@ irregular=simp_cmps.H par=amo.simp.P vrms=vsimp.H   eps=.0001 niter=3  tz_niter=2 tz_eps=.0001

simp6.reg.H:  amo.simp.P simp_cmps.H vsimp.H
	AMO_inv_freq_aoff.py regular=$@ irregular=simp_cmps.H par=amo.simp.P vrms=vsimp.H   eps=.0001 niter=3  ti_niter=50 ti_eps=.0001 print_all=1


simp7.reg.H:  amo.simp.P simp_cmps.H vsimp.H
	AMO_inv_freq.py regular=$@ irregular=simp_cmps.H par=amo.simp.P vrms=vsimp.H   eps=.0001 niter=3  ti_niter=50 ti_eps=.0001 


flf.math.H: flf.H math.P
	Headermath < flf.H >$@ par=math.P verb=1

flfs2.reg.H:  amos2.P flf.smaller.H
	AMO_adj_par regular=$@ irregular=flf.smaller.H par=amos2.P vrms=vrms.H debug_py=1  print_all=1 

flf.pat.reg.H:  amos2.P flf.smaller.H
	AMO_inv2_par regular=$@ irregular=flf.smaller.H par=amos2.P vrms=vrms.H debug_py=1  print_all=1  adj_nblock=13,4

                                                                                
#test.H:   test.P elf.,math.H
#	AMO_approx_zero.py regular=$@ irregular=flf.smaller.H par=test.P vrms=vrms.H debug_py=1 print_all=1 

inv_reg.H: part1a.H part1b.H part2b.H part2a.H ${BINDIR}/Patch_oc.x
	Spike n1=750 o1=0 d1=0.008 o2=0 d2=25 n2=520 o3=1600 n3=170 d3=25 o4=0 d4=25 n4=72 d5=25 >$@ mag=0
	${BINDIR}/Patch_oc.x beg0_2=1 beg1_2=1 end0_2=280 end1_2=240 \
                             beg0_3=1 beg1_3=1 end0_3=90  end1_3=80  \
                             modfl=part1a.H data=$@ >log1  add=y
	${BINDIR}/Patch_oc.x beg0_2=241 beg1_2=280  end0_2=520 end1_2=520 \
                             beg0_3=1 beg1_3=1 end0_3=90  end1_3=80  \
                             modfl=part1b.H data=$@ >log2  add=y
	${BINDIR}/Patch_oc.x beg0_2=1 beg1_2=1 end0_2=280 end1_2=240 \
                             beg0_3=81 beg1_3=90 end0_3=170  end1_3=170  \
                             modfl=part2a.H data=$@ >log3  add=y
	${BINDIR}/Patch_oc.x beg0_2=241 beg1_2=280 end0_2=520 end1_2=520 \
                             beg0_3=81 beg1_3=90 end0_3=170  end1_3=170  \
                             modfl=part2b.H data=$@ >log4  add=y

flf.adj_freq.H: flfs2.reg.H
	Transf_par intag=flfs2.reg.H outtag=$@ nblock=72  debug_py=1 device=eth0 print_all=1 

flf.inv_freq.H: inv_reg.H
	Transf_par intag=inv_reg.H outtag=$@ nblock=72  debug_py=1 device=eth0 print_all=1 

flf.mig_adj.H: flf.adj_freq.H
	mig_off D=flf.adj_freq.H  R=$@ vflocity=vfl.mig.H nz=200 oz=0 dz=10 verb=6 program=/scr2/bob/home/bob/wei/CAM.x pverb=2  device=eth0

flfl.mig_adj.H: flf.adj_freq.H
	Scale dscale=1.05 < vfl.mig.H >vfl.H
	mig_off D=flf.adj_freq.H  R=$@ vflocity=vfl.H nz=200 oz=0 dz=10 verb=6 program=/scr2/bob/home/bob/wei/CAM.x pverb=2  device=eth0

flfh.mig_adj.H: flf.adj_freq.H
	Scale dscale=0.95 < vfl.mig.H >vfl.H
	mig_off D=flf.adj_freq.H  R=$@ vflocity=vfl.H nz=200 oz=0 dz=10 verb=6 program=/scr2/bob/home/bob/wei/CAM.x pverb=2  device=eth0

flf.mig_inverse.H: flf.inv_freq.H
	mig_off D=flf.inv_freq.H  R=$@ vflocity=vfl.mig.H nz=200 oz=0 dz=10 verb=6 program=/scr2/bob/home/bob/wei/CAM.x pverb=2  device=eth0

flfl.mig_inverse.H: flf.inv_freq.H
	Scale dscale=1.05 < vfl.mig.H >vfl.H
	mig_off D=flf.inv_freq.H  R=$@ vflocity=vfl.H nz=200 oz=0 dz=10 verb=6 program=/scr2/bob/home/bob/wei/CAM.x pverb=2  device=eth0

flfh.mig_inverse.H: flf.inv_freq.H
	Scale dscale=0.95 < vfl.mig.H >vfl.H
	mig_off D=flf.inv_freq.H  R=$@ vflocity=vfl.H nz=200 oz=0 dz=10 verb=6 program=/scr2/bob/home/bob/wei/CAM.x pverb=2  device=eth0


small.adj.H:   small.P flf.smaller.H
	AMO_adj_par regular=$@ irregular=flf.smaller.H par=small.P vrms=vrms.H debug_py=1   verb=1 par_pverb=3 verb=3
                                                                                
small.approx.H:   small.P flf.smaller.H
	AMO_approx.py regular=$@ irregular=flf.smaller.H par=small.P vrms=vrms.H debug_py=1    par_pverb=3 verb=3
                                                                                
small.inv2.H:   small.P flf.smaller.H
	AMO_inv2_par regular=$@ irregular=flf.smaller.H par=small.P vrms=vrms.H debug_py=1    par_pverb=3 verb=3 print_all=1 adj_nblock=4,3

small.inverse.H:   small.P flf.smaller.H
	AMO_inverse.py regular=$@ irregular=flf.smaller.H par=small.P vrms=vrms.H debug_py=1    par_pverb=3 verb=3 print_all=1

small.approx0.H:   small.P flf.smaller.H
	AMO_approx_zero.py regular=$@ irregular=flf.smaller.H par=small.P vrms=vrms.H debug_py=1 print_all=1  
                                                                                
small.inverse0.H:   small.P flf.smaller.H
	AMO_inverse_zero.py regular=$@ irregular=flf.smaller.H par=small.P vrms=vrms.H debug_py=1 print_all=1  
                                                                                
flf.mig.H: flf.freq.H
	mig_off D=flf.freq.H  R=$@ vflocity=vfl.mig.H nz=500 oz=0 dz=10 verb=6 program=/scr2/bob/home/bob/wei/CAM.x pverb=2  device=eth0

flf2d.mig.H: flf2d.freq.H
	mig_off D=flf2d.freq.H  R=$@ vflocity=vfl2d.H nz=500 oz=0 dz=10 verb=6 program=/scr2/bob/home/bob/wei/Phase.x pverb=2  device=eth0

flf.freq.H: flfs.reg.H
	Transf_par intag=flfs.reg.H outtag=$@ nblock=72  debug_py=1 device=eth0 print_all=1 

flf.reg.H:  amo.P flf.math.H
	AMO_adj_par regular=$@ irregular=flf.math.H par=amo.P vrms=vrms.H debug_py=1


freq.H: ${BINDIR}/AMO_prep.x stest.P smaller.H
	Spike >small_temp.H n1=200 o1=0 d1=.016 n2=160839  nsp=2 k1=100,150 k2=48000,86000 
	echo hff="smaller.H@@" gff="smaller.H@@@@" >> small_temp.H
	AMO_prep.x  < smaller.H >$@ par=stest.P vfl=vrms.H 

zero.H: ${BINDIR}/AMO_to_zero.x stest.P #freq.H
	AMO_to_zero.x  < freq.H >$@ par=stest.P ref=ref.H

time2.H: ${BINDIR}/AMO_to_time.x stest.P freq.H
	cp freq.H freq2.H
	Window3d < freq.H >freq2.H n1=160000
	echo n1=100 n2=160 n3=10  n4=1 n5=1032 >>freq2.H
	AMO_to_time.x  < freq2.H >$@ par=stest.P vfl=vrms.H

time.H: ${BINDIR}/AMO_to_time.x stest.P # zero.H
	AMO_to_time.x  < zero.H >$@ par=stest.P vfl=vrms.H ref=ref.H
